org.apache.maven.scm.provider.cvslib.command.remove

## Class AbstractCvsRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.cvslib.command.remove.AbstractCvsRemoveCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeRemoveCommand, CvsJavaRemoveCommand

    public abstract class AbstractCvsRemoveCommand
    extends AbstractRemoveCommand
    implements CvsCommand

Author:
  Brett Porter, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsRemoveCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract RemoveScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, List<ScmFile> removedFiles)`
`protected ScmResult` `executeRemoveCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsRemoveCommand

    public AbstractCvsRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             String message)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract RemoveScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                                         List<ScmFile> removedFiles)
                                                  throws ScmException

Throws:
  `ScmException`